Reputation
11,197
Top tag
Next privilege 15,000 Rep.
Protect questions
Badges
8 38 73
Newest
 Nice Answer
Impact
~2.0m people reached

Aug
26
comment How to make it so that a file can only be executed by root, but not as root?
@heemayl setuid in this case is an executable provided by the package super. I'm guessing it setuid(2)'s and then forks or executes the command desired.
Aug
23
comment Cannot update grub with paramters on live USB
@zenith that's because your disk is partitioned using GPT. I don't have a system with it so I'm not particularly familiar with its operation and how a bootloader works on it.
Jul
3
comment How can install the catalyst/flgrx driver, for only a single kernel version (or GRUB menu entry)?
OK, thanks! I'll try it when I can.
Jul
3
comment How can install the catalyst/flgrx driver, for only a single kernel version (or GRUB menu entry)?
I'm a bit unfamiliar with Xorg--is /etc/Xorg.conf the only thing outside the kernel/module management I'd need to back up? Or, do I need to back up or change other Xorg-related files?
Jul
3
comment How can install the catalyst/flgrx driver, for only a single kernel version (or GRUB menu entry)?
Thanks! I'll look at the package contents and see if there is in fact a blacklist. Both of these steps (dkms and checking blacklists) were ones I missed when I was first trying it.
Jun
25
comment What is the equivalent of an “exe file”?
@Dani-Br This is a community-wiki post, meaning that others are welcome to edit it, and you have enough reputation to do so (at 101). I've added .bin for now.
May
1
comment How does Ubuntu know the make and model of my laptop?
So where does dmidecode get this information?
Mar
7
comment Installing Times New Roman font
@Walter the problem is that the user has not been seen for years as well, as far as I can tell on the stack exchange mobile app.
Mar
7
comment Installing Times New Roman font
@WalterTross this post was last acted upon by Benjamin in 2012. Last activity was over half a year ago.
Oct
5
comment How do I set my clock in Windows to UTC / localtime?
@brianary I do not own any versions of Windows beyond 7. You are free to either suggest an edit to this answer, or create a new answer if you find a method that works with Windows 8.
Sep
29
comment What is the CVE-2014-6271 bash vulnerability (Shellshock) and how do I fix it?
@lpdbw I'm not able to give instructions on releases other that the ones listed on the usn as I have no way of finding a good version and verifying that it is indeed actually secure.
Sep
27
comment What is the CVE-2014-6271 bash vulnerability (Shellshock) and how do I fix it?
@blade19899 the new CVE has been fixed and I have already updated my answer. I'll update the question to use the better known term shellshock.
Sep
25
comment What is the CVE-2014-6271 bash vulnerability (Shellshock) and how do I fix it?
@daveshaw I would recommend creating a separate answer about the security-proposed ppa.
Sep
25
comment What is the CVE-2014-6271 bash vulnerability (Shellshock) and how do I fix it?
@matth can you show a source, article, or demo to show that it is actually vulnerable? I've seen many articles indicating the contrary.
Sep
25
comment What is the CVE-2014-6271 bash vulnerability (Shellshock) and how do I fix it?
@don.joey it simply sets the environment variable called x to the value '() { :;}; echo vulnerable'. It then invokes bash asking it to echo back the word hello. The value of x that is set is a function definition that should do nothing. However, it is crafted to try to run 'echo vulnerable' at parsing of environment at bash start-up, which just prints vulnerable to standard out.
Sep
25
comment What is the CVE-2014-6271 bash vulnerability (Shellshock) and how do I fix it?
@Michael as long as you have a backport repository enabled in software sources you should get a fixed version that addresses the first CVE. The second that was reported has not had a fix released yet.
Sep
25
comment What is the CVE-2014-6271 bash vulnerability (Shellshock) and how do I fix it?
@Rinzwind updated.
Sep
7
comment Restarted computer during update; “the system network service is not compatible with this version”
@jeremiah it's basically a workaround that could be done at a more appropriate time such as one of many initialization boot scripts (although determining which to use is sometimes not trivial)
May
19
comment Downgrade Java 1.7 to Java 1.5
One of Oracle's primary goals in moving forward was complete backward-compatibility, so I'd assume that if 1.7 doesn't work but 1.5 does, then there is a deeper problem.
May
3
comment Rtl8187 wireless card drops signal within seconds
It is working stably now. Bitrate is forced to 18M auto, twpower 17, retry long and retry short are both 31 (as opposed to 21). Thanks!